# Update a Live Event

Patch `https://app.mk.io/api/v1/projects/:project_name/media/liveEvents/:event_name`

Update a live event. Currently only `properties.pipeline` is patchable.

RBAC Capability Required: `ams.liveevent.update`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- `project_name`: string, Required
- `event_name`: string, Required

## Request

This endpoint expects an object.  
Content type: `application/json`.

- `properties`: object [LiveEventPropertiesPatch](https://docs.mediakind.com/api-reference/media-api/schemas/liveeventpropertiespatch), Required
  - `pipeline`: object [PipelineArgumentsPatch](https://docs.mediakind.com/api-reference/media-api/schemas/pipelineargumentspatch), Optional  
Not currently supported. AI pipeline settings
  - `arguments`: map from strings to list of objects [ArgumentSchema](https://docs.mediakind.com/api-reference/media-api/schemas/argumentschema), Optional  
Arguments to each operation in the AI pipeline

## Response

- `200`: Updated

- `location`: string, Optional  
Deprecated field. This field cannot be modified, only set during creation.

- `name`: string, Optional  
The name of the resource.

- `properties`: object [LiveEventProperties](https://docs.mediakind.com/api-reference/media-api/schemas/liveeventproperties), Required  
The properties of the live event.

## Errors

- `400`: Bad Request  
  - `error`: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail), Required  
Pertinent information about the error  
    - `code`: string, Required  
    - `detail`: string, Required  
    - `extraDetail`: map from strings to any, Optional

- `401`: Unauthorized  
  - `error`: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail), Required  
  - `403`: Forbidden  
  - `404`: Not Found  
  - `429`: Too Many Requests  
  - `500`: Internal Server Error
